Bug 613355 - gnome-panel unstable if upper screen higher resolution than lower
gnome-panel unstable if upper screen higher resolution than lower
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-10 19:48 EDT by John McMaster
Modified: 2011-06-29 09:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John McMaster 2010-07-10 19:48:58 EDT
Description of problem:
When using Monitor Preferences to configure an external screen of lower width above my laptop's screen of higher width, a gnome-panel is at the top of the lower (laptop) screen (probably should be at top of top screen since preference was set to top?), its bottom flickers, and gnome-panel takes up max CPU.

Version-Release number of selected component (if applicable):
gnome-panel-2.30.0-4.fc13.i686
Fedora 13 with all updates

How reproducible:
Reliably reproducible.

Steps to Reproduce:
1. Connect an external monitor
2. Make sure gnome-panel (either launcher with shortcuts and such or the taksbar worked for me) is at the top of the desktop
3. Open System -> Preferences -> Monitor
4. Set a monitor (lower width) to top and a monitor below (higher width)
5. The desktop should now have issues rendering and become sluggish.  With the exception of gnome-panel, the rest of the desktop should be stable after the "want to keep" dialogue times out or you are able to click revert.

Alternative ways to reproduce:
-It is also possible to trigger this by having gnome-panel at the bottom and then using Panel Properties to switch it to top after stabling being in the desired monitor configuration.  This is worse because you can no longer log into a sane session as it gets auto saved to top.
-I think I successfully didn't have issues when the resolution difference was small, but having issues now  

Similar situations that will NOT reproduce it:
-The ONLY happens if the external monitor is above.  ie this will work without issue at any resolution if the external monitor is to the right or bottom. 
-Moving gnome-panel to anywhere but on top
-Having the monitor with gnome-panel at a resolution equal to or lower than the upper panel

Actual results:
CPU loaded by gnome-panel in specified configuration and desktop is unusable 

Expected results:
gnome-panel does not take excessive CPU power and can be safely moved around the desktop.

Additional info:
gnome-panel can briefly be seen on the top screen before sliding to the bottom screen.  The bottom of gnome-panel flickers.  A large black area was also visible to right.  Changing the position of how they line up in Monitor preferences doesn't seem to effect the bug.
IBM T60p + Dell 1800FP.  
External monitor resolution (want on top): 1280 x 1024
Laptop monitor resolution: (want on bottom): 1680 x 1050
I considered trying to compile and install 2.30.2, but am not sure with the compatibility.  Please let me know if I should try this.
Comment 1 Bug Zapper 2011-06-01 10:15:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 09:43:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.